### Method

# Hinoko FwIsoIt allocate

since: 0.7

#### Declaration [src]

    gboolean
    hinoko_fw_iso_it_allocate (
      HinokoFwIsoIt* self,
      const char* path,
      HinokoFwScode scode,
      guint channel,
      guint header_size,
      GError** error
    )

#### Description [src]

Allocate an IT context to 1394 OHCI hardware. A local node of the node corresponding to the given path is used as the hardware, thus any path is accepted as long as process has enough permission for the path.

Available since: 0.7

#### Parameters

`path`

  Type: `const char*`

  A path to any Linux FireWire character device.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`scode`

  Type: `HinokoFwScode`

  A `HinokoFwScode` to indicate speed of isochronous communication.

`channel`

  Type: `guint`

  An isochronous channel to transfer, up to 63.

`header_size`

  Type: `guint`

  The number of bytes for header of IT context.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if the overall operation finishes successful, otherwise FALSE.